## python-shamir-mnemonic 0.3.0

=== Makefile ===
PYTHON=python3
POETRY=poetry


build:
	$(POETRY) build

install:
	$(POETRY) install

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

test:
	pytest

style_check:
	isort --check-only shamir_mnemonic/ *.py
	black shamir_mnemonic/ *.py --check

style:
	black shamir_mnemonic/ *.py
	isort shamir_mnemonic/ *.py


.PHONY: clean clean-build clean-pyc clean-test test style_check style

=== debian/changelog ===
python-shamir-mnemonic (0.3.0-3) unstable; urgency=medium

  * debian/control:  Mark python3-shamir-mnemonic as "Multi-Arch: foreign".

 -- Soren Stoutner <soren@debian.org>  Mon, 18 Aug 2025 11:52:23 -0700

python-shamir-mnemonic (0.3.0-2) unstable; urgency=medium

  * debian/control:
    - Remove obsolete "Rules-Requires-Root: no".
    - Bump standards version to 4.7.2, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Tue, 12 Aug 2025 15:05:08 -0700

python-shamir-mnemonic (0.3.0-1.1) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:30:44 -0500

python-shamir-mnemonic (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1098522).

 -- Soren Stoutner <soren@debian.org>  Thu, 10 Oct 2024 11:41:25 -0700

=== debian/control ===
Source: python-shamir-mnemonic
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all
Build-Depends-Indep: python3-poetry-core,
                     python3-bip32utils <!nocheck>,
                     python3-pytest <!nocheck>
Homepage: https://github.com/trezor/python-shamir-mnemonic
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shamir-mnemonic
Vcs-Git: https://salsa.debian.org/python-team/packages/python-shamir-mnemonic.git
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2

Package: shamir
Architecture: all
# python3-click is necessary for rendering the CLI.
Depends: python3-shamir-mnemonic (= ${source:Version}),
         python3-click,
         ${misc:Depends},
         ${python3:Depends}
Section: utils
Description: Executable for Shamir’s Secret-Sharing for Mnemonic Codes
 This SLIP describes a standard and interoperable implementation of Shamir's
 secret sharing (SSS). SSS splits a secret into unique parts which can be
 distributed among participants, and requires a specified minimum number of
 parts to be supplied in order to reconstruct the original secret. Knowledge of
 fewer than the required number of parts does not leak information about the
 secret.
 .
 This package contains the shamir executable.

Package: python3-shamir-mnemonic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Shamir’s Secret-Sharing for Mnemonic Codes, an implementation of SLIP-0039
 This SLIP describes a standard and interoperable implementation of Shamir's
 secret sharing (SSS). SSS splits a secret into unique parts which can be
 distributed among participants, and requires a specified minimum number of
 parts to be supplied in order to reconstruct the original secret. Knowledge of
 fewer than the required number of parts does not leak information about the
 secret.
 .
 This package contains the Python 3 version.

=== debian/watch ===
version=4
https://github.com/trezor/python-shamir-mnemonic/tags .*/v?(\d.*)@ARCHIVE_EXT@
